Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Slots | Public Member Functions | Private Slots | List of all members
PostProcessorAnaglyphPlugin Class Reference
Inheritance diagram for PostProcessorAnaglyphPlugin:

## Public Slots
QString | version ()

## Public Member Functions
QString | name ()
| Return a name for the plugin. More...
QString | description ()
| Return a description of what the plugin is doing. More...

## Private Slots
void | postProcess (ACG::GLState *_glstate, const std::vector< const PostProcessorInput * > &_input, const PostProcessorOutput &_output)
QString | postProcessorName ()
QString | checkOpenGL ()

## Additional Inherited Members
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from PostProcessorInterface
virtual | ~PostProcessorInterface ()
| Destructor.

## Detailed Description

Definition at line 59 of file PostProcessorAnaglyphPlugin.hh.

## Member Function Documentation

QString PostProcessorAnaglyphPlugin::description | ( |  | ) |
| inline virtual

Return a description of what the plugin is doing.

This function has to return a basic description of the plugin

Implements BaseInterface.

Definition at line 75 of file PostProcessorAnaglyphPlugin.hh.

QString PostProcessorAnaglyphPlugin::name | ( |  | ) |
| inline virtual

Return a name for the plugin.

This Function has to return the name of the plugin.

Implements BaseInterface.

Definition at line 74 of file PostProcessorAnaglyphPlugin.hh.

The documentation for this class was generated from the following files:

- PluginCollection-PostProcessors/Plugin-AnaglyphStereo/PostProcessorAnaglyphPlugin.hh
- PluginCollection-PostProcessors/Plugin-AnaglyphStereo/PostProcessorAnaglyphPlugin.cc